Changes between Version 4 and Version 6 of Ticket #31565


Ignore:
Timestamp:
Jun 4, 2021, 6:38:18 PM (18 months ago)
Author:
Matthias Köppe
Comment:

Legend:

Unmodified
Added
Removed
Modified
  • Ticket #31565

    • Property Priority changed from critical to blocker
    • Property Dependencies changed from to #31008
    • Property Milestone changed from sage-9.3 to sage-9.4
  • Ticket #31565 – Description

    v4 v6  
    22
    33Observed on `cygwin-standard` but likely also affects the Docker images and the Sage binary distribution.
     4
     5With the upgrade to numpy 1.20.x (#31008), the non-portability shows as an error message instead of a crash:
     6{{{
     7  [sagelib-9.4.beta0]       from numpy.core._multiarray_umath import (
     8  [sagelib-9.4.beta0]   RuntimeError: NumPy was built with baseline optimizations:
     9  [sagelib-9.4.beta0]   (SSE SSE2 SSE3 SSSE3 SSE41 POPCNT SSE42 AVX F16C FMA3 AVX2 AVX512F AVX512CD AVX512_SKX) but your machine doesn't support:
     10  [sagelib-9.4.beta0]   (AVX512F).
     11  [sagelib-9.4.beta0]   ************************************************************************
     12  [sagelib-9.4.beta0]   Error building the Sage library
     13  [sagelib-9.4.beta0]   ************************************************************************
     14  [sagelib-9.4.beta0] Full log file: /cygdrive/d/a/sage/sage/logs/pkgs/sagelib-9.4.beta0.log
     15}}}
     16